
QGIS Application - Bug report #4020

Crash when editing PostGIS layer

2011-06-26 04:20 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14007

Description

QGIS is crashing when trying to edit a PostGIS based layer. Suspect changes that were added to support 64bit ints has caused issues

with the postgres provider.

Windows OSGeo4W package qgis-dev-1.8.0-11 is fine but qgis-dev-1.8.0-29 crashes.

Steps to reproduce:

    -  Load layer from postgis

    -  Enable editing

    -  Select node tool

    -  Click an object

Output from DebugView attached.

History

#1 - 2011-06-26 11:47 PM - Jürgen Fischer

Try a current version - commit:c4258c993b57a43427de5f6bacc8b05f71c1117b probably also fixes that.

#2 - 2011-06-27 11:38 PM - Jürgen Fischer

- Status changed from Open to Feedback

#3 - 2011-08-29 08:45 PM - Nathan Woodrow

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Status changed from Feedback to Closed

Files

qgis.LOG 10.1 KB 2011-06-26 Nathan Woodrow
